--- old/usr/src/uts/common/sys/scsi/generic/commands.h	sam. juil. 16 15:21:49 2016
+++ new/usr/src/uts/common/sys/scsi/generic/commands.h	sam. juil. 16 15:21:49 2016
@@ -405,101 +405,101 @@
  *	command-to-string translations.
  */
 #define	SCSI_CMDS_KEY_STRINGS						\
-/* 0x00 */ SCMD_TEST_UNIT_READY,	"test_unit_ready",		\
-/* 0x01 */ SCMD_REWIND |						\
-		SCMD_REZERO_UNIT,	"rezero/rewind",		\
-/* 0x03 */ SCMD_REQUEST_SENSE,		"request_sense",		\
-/* 0x04 */ SCMD_FORMAT,			"format",			\
-/* 0x05 */ SCMD_READ_BLKLIM,		"read_block_limits",		\
-/* 0x07 */ SCMD_REASSIGN_BLOCK,		"reassign",			\
-/* 0x08 */ SCMD_READ |							\
-		SCMD_RECEIVE,		"read",				\
-/* 0x0a */ SCMD_PRINT |							\
+/* 0x00 */ { SCMD_TEST_UNIT_READY,	"test_unit_ready" },		\
+/* 0x01 */ { SCMD_REWIND |						\
+		SCMD_REZERO_UNIT,	"rezero/rewind" },		\
+/* 0x03 */ { SCMD_REQUEST_SENSE,	"request_sense" },		\
+/* 0x04 */ { SCMD_FORMAT,		"format" },			\
+/* 0x05 */ { SCMD_READ_BLKLIM,		"read_block_limits" },		\
+/* 0x07 */ { SCMD_REASSIGN_BLOCK,	"reassign" },			\
+/* 0x08 */ { SCMD_READ |						\
+		SCMD_RECEIVE,		"read" },			\
+/* 0x0a */ { SCMD_PRINT |						\
 		SCMD_SEND |						\
-		SCMD_WRITE,		"write",			\
-/* 0x0b */ SCMD_SEEK |							\
+		SCMD_WRITE,		"write" },			\
+/* 0x0b */ { SCMD_SEEK |						\
 		SCMD_SLEW_PRINT |					\
-		SCMD_TRK_SEL,		"seek",				\
-/* 0x0f */ SCMD_READ_REVERSE,		"read_reverse",			\
-/* 0x10 */ SCMD_WRITE_FILE_MARK |					\
-		SCMD_FLUSH_PRINT_BUF,	"write_file_mark",		\
-/* 0x11 */ SCMD_SPACE,			"space",			\
-/* 0x12 */ SCMD_INQUIRY,		"inquiry",			\
-/* 0x13 */ SCMD_VERIFY_G0,		"verify",			\
-/* 0x14 */ SCMD_RECOVER_BUF,		"recover_buffer_data",		\
-/* 0x15 */ SCMD_MODE_SELECT,		"mode_select",			\
-/* 0x16 */ SCMD_RESERVE,		"reserve",			\
-/* 0x17 */ SCMD_RELEASE,		"release",			\
-/* 0x18 */ SCMD_COPY,			"copy",				\
-/* 0x19 */ SCMD_ERASE,			"erase_tape",			\
-/* 0x1a */ SCMD_MODE_SENSE,		"mode_sense",			\
-/* 0x1b */ SCMD_LOAD |							\
+		SCMD_TRK_SEL,		"seek" },			\
+/* 0x0f */ { SCMD_READ_REVERSE,		"read_reverse" },		\
+/* 0x10 */ { SCMD_WRITE_FILE_MARK |					\
+		SCMD_FLUSH_PRINT_BUF,	"write_file_mark" },		\
+/* 0x11 */ { SCMD_SPACE,		"space" },			\
+/* 0x12 */ { SCMD_INQUIRY,		"inquiry" },			\
+/* 0x13 */ { SCMD_VERIFY_G0,		"verify" },			\
+/* 0x14 */ { SCMD_RECOVER_BUF,		"recover_buffer_data" },	\
+/* 0x15 */ { SCMD_MODE_SELECT,		"mode_select" },		\
+/* 0x16 */ { SCMD_RESERVE,		"reserve" },			\
+/* 0x17 */ { SCMD_RELEASE,		"release" },			\
+/* 0x18 */ { SCMD_COPY,			"copy" },			\
+/* 0x19 */ { SCMD_ERASE,		"erase_tape" },			\
+/* 0x1a */ { SCMD_MODE_SENSE,		"mode_sense" },			\
+/* 0x1b */ { SCMD_LOAD |						\
 		SCMD_START_STOP |					\
-		SCMD_STOP_PRINT,	"load/start/stop",		\
-/* 0x1c */ SCMD_GDIAG,			"get_diagnostic_results",	\
-/* 0x1d */ SCMD_SDIAG,			"send_diagnostic_command",	\
-/* 0x1e */ SCMD_DOORLOCK,		"door_lock",			\
-/* 0x23 */ SCMD_READ_FORMAT_CAP,	"read_format_capacity",		\
-/* 0x25 */ SCMD_READ_CAPACITY,		"read_capacity",		\
-/* 0x28 */ SCMD_READ_G1,		"read(10)",			\
-/* 0x2a */ SCMD_WRITE_G1,		"write(10)",			\
-/* 0x2b */ SCMD_SEEK_G1 |						\
-		SCMD_LOCATE,		"seek(10)",			\
-/* 0x2e */ SCMD_WRITE_VERIFY,		"write_verify",			\
-/* 0x2f */ SCMD_VERIFY,			"verify(10)",			\
-/* 0x30 */ SCMD_SEARCH_HIGH,		"search_data_high",		\
-/* 0x31 */ SCMD_SEARCH_EQUAL,		"search_data_equal",		\
-/* 0x32 */ SCMD_SEARCH_LOW,		"search_data_low",		\
-/* 0x33 */ SCMD_SET_LIMITS,		"set_limits",			\
-/* 0x34 */ SCMD_READ_POSITION,		"read_position",		\
-/* 0x35 */ SCMD_SYNCHRONIZE_CACHE,	"synchronize_cache",		\
-/* 0x37 */ SCMD_READ_DEFECT_LIST,	"read_defect_data",		\
-/* 0x39 */ SCMD_COMPARE,		"compare",			\
-/* 0x3a */ SCMD_COPY_VERIFY,		"copy_verify",			\
-/* 0x3b */ SCMD_WRITE_BUFFER,		"write_buffer",			\
-/* 0x3c */ SCMD_READ_BUFFER,		"read_buffer",			\
-/* 0x3e */ SCMD_READ_LONG,		"read_long",			\
-/* 0x3f */ SCMD_WRITE_LONG,		"write_long",			\
-/* 0x41 */ SCMD_WRITE_SAME_G1,		"write_same(10)",		\
-/* 0x42 */ SCMD_UNMAP,			"unmap",			\
-/* 0x44 */ SCMD_REPORT_DENSITIES |					\
+		SCMD_STOP_PRINT,	"load/start/stop" },		\
+/* 0x1c */ { SCMD_GDIAG,		"get_diagnostic_results" },	\
+/* 0x1d */ { SCMD_SDIAG,		"send_diagnostic_command" },	\
+/* 0x1e */ { SCMD_DOORLOCK,		"door_lock" },			\
+/* 0x23 */ { SCMD_READ_FORMAT_CAP,	"read_format_capacity" },	\
+/* 0x25 */ { SCMD_READ_CAPACITY,	"read_capacity" },		\
+/* 0x28 */ { SCMD_READ_G1,		"read(10)" },			\
+/* 0x2a */ { SCMD_WRITE_G1,		"write(10)" },			\
+/* 0x2b */ { SCMD_SEEK_G1 |						\
+		SCMD_LOCATE,		"seek(10)" },			\
+/* 0x2e */ { SCMD_WRITE_VERIFY,		"write_verify" },		\
+/* 0x2f */ { SCMD_VERIFY,		"verify(10)" },			\
+/* 0x30 */ { SCMD_SEARCH_HIGH,		"search_data_high" },		\
+/* 0x31 */ { SCMD_SEARCH_EQUAL,		"search_data_equal" },		\
+/* 0x32 */ { SCMD_SEARCH_LOW,		"search_data_low" },		\
+/* 0x33 */ { SCMD_SET_LIMITS,		"set_limits" },			\
+/* 0x34 */ { SCMD_READ_POSITION,	"read_position" },		\
+/* 0x35 */ { SCMD_SYNCHRONIZE_CACHE,	"synchronize_cache" },		\
+/* 0x37 */ { SCMD_READ_DEFECT_LIST,	"read_defect_data" },		\
+/* 0x39 */ { SCMD_COMPARE,		"compare" },			\
+/* 0x3a */ { SCMD_COPY_VERIFY,		"copy_verify" },		\
+/* 0x3b */ { SCMD_WRITE_BUFFER,		"write_buffer" },		\
+/* 0x3c */ { SCMD_READ_BUFFER,		"read_buffer" },		\
+/* 0x3e */ { SCMD_READ_LONG,		"read_long" },			\
+/* 0x3f */ { SCMD_WRITE_LONG,		"write_long" },			\
+/* 0x41 */ { SCMD_WRITE_SAME_G1,	"write_same(10)" },		\
+/* 0x42 */ { SCMD_UNMAP,		"unmap" },			\
+/* 0x44 */ { SCMD_REPORT_DENSITIES |					\
 		/* SCMD_READ_HEADER (from cdio.h) | */			\
-		0,			"report_densities/read_header",	\
-/* 0x46 */ SCMD_GET_CONFIGURATION,	"get_configuration",		\
-/* 0x4c */ SCMD_LOG_SELECT_G1,		"log_select",			\
-/* 0x4d */ SCMD_LOG_SENSE_G1,		"log_sense",			\
-/* 0x55 */ SCMD_MODE_SELECT_G1,		"mode_select(10)",		\
-/* 0x56 */ SCMD_RESERVE_G1,		"reserve(10)",			\
-/* 0x57 */ SCMD_RELEASE_G1,		"release(10)",			\
-/* 0x5a */ SCMD_MODE_SENSE_G1,		"mode_sense(10)",		\
-/* 0x5e */ SCMD_PERSISTENT_RESERVE_IN,	"persistent_reserve_in",	\
-/* 0x5f */ SCMD_PERSISTENT_RESERVE_OUT,	"persistent_reserve_out",	\
-/* 0x80 */ SCMD_WRITE_FILE_MARK_G4,	"write_file_mark(16)",		\
-/* 0x81 */ SCMD_READ_REVERSE_G4,	"read_reverse(16)",		\
-/* 0x83 */ SCMD_EXTENDED_COPY,		"extended_copy",		\
-/* 0x88 */ SCMD_READ_G4,		"read(16)",			\
-/* 0x8a */ SCMD_WRITE_G4,		"write(16)",			\
-/* 0x8c */ SCMD_READ_ATTRIBUTE,		"read_attribute",		\
-/* 0x8d */ SCMD_WRITE_ATTRIBUTE,	"write_attribute",		\
-/* 0x8e */ SCMD_WRITE_VERIFY_G4,	"write_verify(16)",		\
-/* 0x8f */ SCMD_VERIFY_G4,		"verify(16)",			\
-/* 0x91 */ SCMD_SPACE_G4,		"space(16)",			\
-/* 0x92 */ SCMD_LOCATE_G4,		"locate(16)",			\
-/* 0x92 */ SCMD_WRITE_SAME_G4,		"write_same(16)",		\
-/* 0x9e */ SCMD_SVC_ACTION_IN_G4,	"service_action_in(16)",	\
-/* 0x9f */ SCMD_SVC_ACTION_OUT_G4,	"service_action_out(16)",	\
-/* 0xa0 */ SCMD_REPORT_LUNS,		"report_luns",			\
-/* 0xa2 */ SCMD_SECURITY_PROTO_IN,	"security_protocol_in",		\
-/* 0xa3 */ SCMD_MAINTENANCE_IN,		"maintenance_in",		\
-/* 0xa4 */ SCMD_MAINTENANCE_OUT,	"maintenance_out",		\
-/* 0xa8 */ SCMD_READ_G5,		"read(12)",			\
-/* 0xa9 */ SCMD_SVC_ACTION_OUT_G5,	"service_action_out(12)",	\
-/* 0xaa */ SCMD_WRITE_G5,		"write(12)",			\
-/* 0xab */ SCMD_SVC_ACTION_IN_G5,	"service_action_in(12)",	\
-/* 0xac */ SCMD_GET_PERFORMANCE,	"get_performance",		\
-/* 0xAE */ SCMD_WRITE_VERIFY_G5,	"write_verify(12)",		\
-/* 0xAF */ SCMD_VERIFY_G5,		"verify(12)",			\
-/* 0xb5 */ SCMD_SECURITY_PROTO_OUT,	"security_protocol_out"		\
+		0,		"report_densities/read_header" },	\
+/* 0x46 */ { SCMD_GET_CONFIGURATION,	"get_configuration" },		\
+/* 0x4c */ { SCMD_LOG_SELECT_G1,	"log_select" },			\
+/* 0x4d */ { SCMD_LOG_SENSE_G1,		"log_sense" },			\
+/* 0x55 */ { SCMD_MODE_SELECT_G1,	"mode_select(10)" },		\
+/* 0x56 */ { SCMD_RESERVE_G1,		"reserve(10)" },		\
+/* 0x57 */ { SCMD_RELEASE_G1,		"release(10)" },		\
+/* 0x5a */ { SCMD_MODE_SENSE_G1,	"mode_sense(10)" },		\
+/* 0x5e */ { SCMD_PERSISTENT_RESERVE_IN, "persistent_reserve_in" },	\
+/* 0x5f */ { SCMD_PERSISTENT_RESERVE_OUT, "persistent_reserve_out" },	\
+/* 0x80 */ { SCMD_WRITE_FILE_MARK_G4,	"write_file_mark(16)" },	\
+/* 0x81 */ { SCMD_READ_REVERSE_G4,	"read_reverse(16)" },		\
+/* 0x83 */ { SCMD_EXTENDED_COPY,	"extended_copy" },		\
+/* 0x88 */ { SCMD_READ_G4,		"read(16)" },			\
+/* 0x8a */ { SCMD_WRITE_G4,		"write(16)" },			\
+/* 0x8c */ { SCMD_READ_ATTRIBUTE,	"read_attribute" },		\
+/* 0x8d */ { SCMD_WRITE_ATTRIBUTE,	"write_attribute" },		\
+/* 0x8e */ { SCMD_WRITE_VERIFY_G4,	"write_verify(16)" },		\
+/* 0x8f */ { SCMD_VERIFY_G4,		"verify(16)" },			\
+/* 0x91 */ { SCMD_SPACE_G4,		"space(16)" },			\
+/* 0x92 */ { SCMD_LOCATE_G4,		"locate(16)" },			\
+/* 0x92 */ { SCMD_WRITE_SAME_G4,	"write_same(16)" },		\
+/* 0x9e */ { SCMD_SVC_ACTION_IN_G4,	"service_action_in(16)" },	\
+/* 0x9f */ { SCMD_SVC_ACTION_OUT_G4,	"service_action_out(16)" },	\
+/* 0xa0 */ { SCMD_REPORT_LUNS,		"report_luns" },		\
+/* 0xa2 */ { SCMD_SECURITY_PROTO_IN,	"security_protocol_in" },	\
+/* 0xa3 */ { SCMD_MAINTENANCE_IN,	"maintenance_in" },		\
+/* 0xa4 */ { SCMD_MAINTENANCE_OUT,	"maintenance_out" },		\
+/* 0xa8 */ { SCMD_READ_G5,		"read(12)" },			\
+/* 0xa9 */ { SCMD_SVC_ACTION_OUT_G5,	"service_action_out(12)" },	\
+/* 0xaa */ { SCMD_WRITE_G5,		"write(12)" },			\
+/* 0xab */ { SCMD_SVC_ACTION_IN_G5,	"service_action_in(12)" },	\
+/* 0xac */ { SCMD_GET_PERFORMANCE,	"get_performance" },		\
+/* 0xAE */ { SCMD_WRITE_VERIFY_G5,	"write_verify(12)" },		\
+/* 0xAF */ { SCMD_VERIFY_G5,		"verify(12)" },			\
+/* 0xb5 */ { SCMD_SECURITY_PROTO_OUT,	"security_protocol_out" }	\
 	/* see cdio.h for additional command-to-string translations */
 
 /* XXX not a command code, does not belong here */
